[arch-commits] Commit in python-elementpath/repos (2 files)

Felix Yan felixonmars at archlinux.org
Mon Aug 19 03:54:02 UTC 2019


    Date: Monday, August 19, 2019 @ 03:54:02
  Author: felixonmars
Revision: 500129

archrelease: copy trunk to community-any

Added:
  python-elementpath/repos/community-any/
  python-elementpath/repos/community-any/PKGBUILD
    (from rev 500128, python-elementpath/trunk/PKGBUILD)

----------+
 PKGBUILD |   31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

Copied: python-elementpath/repos/community-any/PKGBUILD (from rev 500128, python-elementpath/trunk/PKGBUILD)
===================================================================
--- community-any/PKGBUILD	                        (rev 0)
+++ community-any/PKGBUILD	2019-08-19 03:54:02 UTC (rev 500129)
@@ -0,0 +1,31 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-elementpath
+pkgver=1.2.0
+pkgrel=1
+pkgdesc="XPath 1.0/2.0 parsers and selectors for ElementTree and lxml"
+url="https://github.com/sissaschool/elementpath"
+license=('MIT')
+arch=('any')
+depends=('python')
+makedepends=('python-setuptools')
+checkdepends=('python-pytest-runner' 'python-xmlschema')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/sissaschool/elementpath/archive/v$pkgver.tar.gz")
+sha512sums=('25a63eb40f0258116dbbe866f250cdb7370178575197f81a599126d2153146449645316e71908c15aa78073e7c77324fb3aa5558869d9da9f2721552ca132244')
+
+build() {
+  cd elementpath-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd elementpath-$pkgver
+  python setup.py pytest || warning "missing it_IT locale for testing"
+}
+
+package() {
+  cd elementpath-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+
+  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
+}


More information about the arch-commits mailing list